apiVersion: batch/v1
kind: Job
metadata:
  name: transcodebackfill
spec:
  ttlSecondsAfterFinished: 86400
  backoffLimit: 0
  template:
    metadata:
      labels:
        app: transcodebackfill
    spec:
      serviceAccountName: default-service-account
      restartPolicy: Never
      containers:
        - name: transcodebackfill
          image: transcodebackfill
          resources:
            requests:
              memory: "2Gi"
              cpu: 500m
            limits:
              memory: "2Gi"
              cpu: 500m
          env:
            - name: "GCP_PROJECT"
              value: "flowy-prod-440017"
            - name: "GCS_BUCKET"
              value: "flowy-llink-prod-bucket"
            - name: "GOOGLE_SERVICE_ACCOUNT_EMAIL"
              value: "iam-for-gke-sa@flowy-prod-440017.iam.gserviceaccount.com"
            - name: "LLINK_POSTGRES_CONNECTION_URL"
              valueFrom:
                secretKeyRef:
                  name: shared-secrets
                  key: LLINK_POSTGRES_CONNECTION_URL
